<template>

	<nav class="navbar navbar-toggleable-md navbar-light bg-faded fixed-top">

		<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">

			<span class="navbar-toggler-icon"></span>

		</button>

		<a class="navbar-brand" href="#">

			<img src="../assets/bootstrap-solid.svg" width="30" height="30" class="d-inline-block align-top" alt="">

			Henri Potier

		</a>

		<div class="collapse navbar-collapse" id="navbarNav">

			<ul class="navbar-nav">

				<li class="nav-item">

					<router-link class="nav-link" to="/" active-class="active">Products<span class="sr-only">(current)</span></router-link>

				</li>

			</ul>

		</div>

		<form class="my-2 my-lg-0">

			<router-link class="btn btn-success my-2 my-sm-0" to="/checkout" tag="button" active-class="active" :disabled="!products.length">Checkout</router-link>

		</form>

	</nav>


</template>

<script>

import { mapGetters } from 'vuex';

export default {

	name: 'navigation',

	computed: mapGetters({

		products: 'allProductsAdded',

	}),

};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
